Loading...
Searching...
No Matches
texture.h File Reference

Texture struct and related enums. More...

`#include "graphics/core/color.h"`
`#include "math/intpoint.h"`
Include dependency graph for texture.h:

## Classes

struct | Gfx::TextureCreateParams
| Parameters for texture creation. More...
struct | Gfx::TextureStageParams
| Parameters for a texture unit. More...
struct | Gfx::Texture
| Info about a texture. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Enumerations

enum | Gfx::TexImgFormat { Gfx::TEX_IMG_AUTO , Gfx::TEX_IMG_RGB , Gfx::TEX_IMG_BGR , Gfx::TEX_IMG_RGBA , Gfx::TEX_IMG_BGRA }
| Format of image data. More...
enum | Gfx::TexFilter { TEX_FILTER_NEAREST , TEX_FILTER_BILINEAR , TEX_FILTER_TRILINEAR }
| General texture filtering mode. More...
enum | Gfx::TexMinFilter { TEX_MIN_FILTER_NEAREST , TEX_MIN_FILTER_LINEAR , TEX_MIN_FILTER_NEAREST_MIPMAP_NEAREST , TEX_MIN_FILTER_LINEAR_MIPMAP_NEAREST , TEX_MIN_FILTER_NEAREST_MIPMAP_LINEAR , TEX_MIN_FILTER_LINEAR_MIPMAP_LINEAR }
| Texture minification filter. More...
enum | Gfx::TexMagFilter { TEX_MAG_FILTER_NEAREST , TEX_MAG_FILTER_LINEAR }
| Texture magnification filter. More...
enum | Gfx::TexWrapMode { TEX_WRAP_CLAMP , TEX_WRAP_CLAMP_TO_BORDER , TEX_WRAP_REPEAT }
| Wrapping mode for texture coords. More...
enum | Gfx::TexMixOperation { Gfx::TEX_MIX_OPER_DEFAULT , Gfx::TEX_MIX_OPER_REPLACE , Gfx::TEX_MIX_OPER_MODULATE , Gfx::TEX_MIX_OPER_ADD , Gfx::TEX_MIX_OPER_SUBTRACT }
| Multitexture mixing operation. More...
enum | Gfx::TexMixArgument { Gfx::TEX_MIX_ARG_TEXTURE , Gfx::TEX_MIX_ARG_TEXTURE_0 , Gfx::TEX_MIX_ARG_TEXTURE_1 , Gfx::TEX_MIX_ARG_TEXTURE_2 , Gfx::TEX_MIX_ARG_TEXTURE_3 , Gfx::TEX_MIX_ARG_COMPUTED_COLOR , Gfx::TEX_MIX_ARG_SRC_COLOR , Gfx::TEX_MIX_ARG_FACTOR }
| Multitexture mixing argument. More...

## Detailed Description

Texture struct and related enums.